PETSc version 3.15.5
Fix/Edit manual page

# PetscLayoutGetBlockSize

Gets the block size for a PetscLayout object.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutGetBlockSize(PetscLayout map,PetscInt *bs)

Not Collective

### Input Parameters

| map | - pointer to the map

### Output Parameters

| bs | - the size

### Notes

Call this after the call to PetscLayoutSetUp()

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(), PetscLayoutSetUp()
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetSize()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages